devguard
Control coverageStatus

Set or clear the manual coverage assessment of a control.

PATCH
/control-coverage/status/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/control-coverage/status/" \  -H "Content-Type: application/json" \  -d '{    "controlCoverageId": "516513a0-c16e-48ff-8f5e-a7a8dde9cc90",    "organizationId": "string",    "coverageStatus": "FULL"  }'
{  "id": "string",  "frameworkAdoptionId": "string",  "controlId": "string",  "coverageStatus": "FULL",  "coverageGap": "string",  "lastReviewedAt": "string",  "reviewedBy": "string",  "isNotRelevant": true,  "notRelevantReason": "string",  "notRelevantAt": "string",  "notRelevantBy": "string",  "policyId": "string",  "sectionUid": "string",  "organizationId": "string",  "createdAt": "string",  "updatedAt": "string",  "controlIdentifier": "string",  "controlName": "string"}

How is this guide?